Bank Kalteng (Phase 2) - Support #1473

[ESS Medical] - Parameter
08/09/2022 09:53 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 08/03/2022
Priority: Immediate Due date: 08/10/2022
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 8.00 hours
Description

Mas Azid,

Mohon dibantu untuk buatkan parameter task-task dibawah ini.

. apv_administrasi_umum_cabang
. apv_administrasi_umum_capem
. apv_kepalacab

. apv_kepalacapem

. apv_pimdiv_sdm_umum
.cond_creator
Tipe 1:
Submitter merupakan karyawan kantor pusat atau kepala cabang maka approval akan masuk ke group approval direktur kemudian
ke pimpinan divisi SDM Umum apv_pimdiv_sdm_umum .

Tipe 2:
Submitter merupakan karyawan cabang atau kantor kas atau kepala cabang pembantu maka approval akan masuk ke kepala
cabang apv_kepalacab kemudian ke administrasi umum cabang masing-masing apv_administrasi_umum_cabang

Task apv_kepalacab akan mencari employee yang memiliki organization level 3050 (is Head).

Tipe 3:
Submitter merupakan karyawan cabang pembantu maka approval akan masuk ke kepala cabang pembantu apv_kepalacapem
kemudian ke administrasi umum cabang pembantu masing-masing apv_administrasi_umum_capem

Untuk task apv_kepalacapem akan mencari employee yang memiliki organization level 4000 (is Head).

Untuk task approval SDM (apv_pimdiv_sdm_umum, apv_administrasi_umum_cabang, apv_administrasi_umum_capem) dari
3 tipe akan dibuatkan group approval. Group approval akan berisi admin-admin SDM dari masing-masing cabang dan cabang
pembantu dengan employee ID yang sudah ditunjuk. Saya sudah menambahkan mapping employee office di table
PCMWFCUSTGRUPAPPR. Mohon dibuatkan query untuk membaca employee office creator agar dapat menentukan admin dari
cabang/capem mana yang akan melakukan approval dan mencari employee ID yang dituju dari table PCMWFCUSTGRUPAPPR.

Task cond_creator - membaca employee office group (table PCMEPEMPOFF) dan isHead atau bukan.
e Tipe 1 All employee di Employee Office Group 001 dan employee dengan posisi isHead di Employee Office Group 003.
¢ Tipe 2 All employee di Employee Office Group 003, All employee di Employee Office Group 002 dan employee dengan posisi
isHead di Employee Office Group 004.
¢ Tipe 3 All employee di Employee Office Group 004.

Terima kasih.

BizFlow: MDCL
Port: http://103.168.134.28:31130/

History

#1 - 08/09/2022 09:54 AM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#2 - 08/10/2022 10:24 AM - Fiona Avangeline Jonathan
http://103.168.134.28:31130/

Mas Azid,

Ada penambahan kondisi di task cond_creator selain membaca jenis creator nya juga membaca nominal pengajuan. Jika pengajuan diatas 15jt
maka tidak perlu membaca creator tipe berapa tetapi langsung diarahkan ke tipe1 ke task apv_grupdir. Jika dibawah 15jt maka mengikuti kondisi

creator yang sudah saya berikan diatas.

Terima kasih.

#3 - 08/12/2022 11:35 AM - Fiona Avangeline Jonathan
Mas Azid,

Penambahan parameter yang perlu dibuatkan untuk task CondUpdateHeaderSeq di ESS Medical. Mohon dibantu.

Terima kasih.

#4 - 08/12/2022 11:36 AM - Fiona Avangeline Jonathan
- File clipboard-202208121136-rfgmv.png added

BizFlowlD TasklD Sequence Active TaskMarne

MDCL CondUpdateHeaderSeq 10 1 Condition Update Header Seq

#5 - 08/15/2022 09:42 AM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan
dear fiona , untuk parameter ini udah bisa di cek ya

makasih

#6 - 08/15/2022 11:15 AM - Fiona Avangeline Jonathan

- File Testing Flow BKT Medical baru.docx added
- Status changed from QA Test to Closed

Semua flow sudah jalan, terima kasih.
clipboard-202208121136-rfgmv.png 4.14 KB 08/12/2022 Fiona Avangeline Jonathan
Testing Flow BKT Medical baru.docx 160 KB 08/15/2022 Fiona Avangeline Jonathan
